SuperLU 6.0.0

Functions
ilu_csnode_dfs.c File Reference

Determines the union of row structures of columns within the relaxed node. More...

`#include "slu_cdefs.h"`
Include dependency graph for ilu_csnode_dfs.c:

## Functions
int | ilu_csnode_dfs (const int jcol, const int kcol, const int_t *asub, const int_t *xa_begin, const int_t *xa_end, int *marker, GlobalLU_t *Glu)

## Detailed Description

Copyright (c) 2003, The Regents of the University of California, through Lawrence Berkeley National Laboratory (subject to receipt of any required approvals from U.S. Dept. of Energy)

All rights reserved.

The source code is distributed under BSD license, see the file License.txt at the top-level directory.

    -- SuperLU routine (version 4.0) --
    Lawrence Berkeley National Laboratory
    June 30, 2009

## Function Documentation

## ◆ ilu_csnode_dfs()

int ilu_csnode_dfs | ( | const int | jcol,
|  | const int | kcol,
|  | const int_t * | asub,
|  | const int_t * | xa_begin,
|  | const int_t * | xa_end,
|  | int * | marker,
|  | GlobalLU_t * | Glu
| ) |  |

    Purpose
    =======
       ilu_csnode_dfs() - Determine the union of the row structures of those
       columns within the relaxed snode.
       Note: The relaxed snodes are leaves of the supernodal etree, therefore,
       the portion outside the rectangular supernode must be zero.

    Return value
    ============
        0   success;
       >0   number of bytes allocated when run out of memory.

Here is the call graph for this function: